Skip to main content
文件管理

删除文件

永久删除指定文件,删除后数据无法恢复

POST
/api/v1/connector/dash/deleteFile
cURL
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/connector/dash/deleteFile" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "fileId": "file_abc123"
  }'
{
  "code": "Success",
  "status_code": 200,
  "data": {},
  "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
删除操作不可恢复。调用前请确认 fileId 正确,可通过 查询文件列表 校对。
删除后,可通过 新增类目申请上传租约 重新组织与上传文件。

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。

Body

application/json
string
required

文件 ID,通过 listFile 获取。

Response

200-application/json
string

响应码,成功时为 Success

integer

HTTP 状态码。

string

请求唯一标识,排查问题时请提供此 ID。

object

删除操作无返回数据。

Managed Agent API
RAG API
Memory API
框架集成
  • 框架